%
% Time-stamp: <2009/11/02 01:26:17 (CST) daisuke>
%
\ProvidesClass{lulin}
\LoadClass{article}
\RequirePackage{propform}

\def\@PageOne{
  \begin{picture}(\@pageWidth,\@pageLength)
    \makebox(\@pageWidth,\@pageLength)[tl]{
      \vbox{
        \MakeHeader

        \vspace*{-0.5pt}

        \MakeTitle

        \vspace*{-0.5pt}

        \MakePIInfo

        \vspace*{-0.5pt}

        \MakeCoIInfo

        \vspace*{-0.5pt}

        \MakePropType

        \vspace*{-0.5pt}

        \MakeCategory

        \vspace*{-0.5pt}

        \MakeAbstract

        \vspace*{-0.5pt}

        \MakeThesisLink
      }
    }
  \end{picture}
}

\def\@PageTwo{
  \begin{picture}(\@pageWidth,\@pageLength)
    \makebox(\@pageWidth,\@pageLength)[tl]{
      \vbox{
        \MakeObservingRun

        \vspace*{-0.5pt}

        \MakeObsExecutionMethods

        \vspace*{-0.5pt}

        \MakeInstrumentRequirement

        \vspace*{-0.5pt}

        \MakeSchedulingRequirement

        \vspace*{-0.5pt}

        \MakeExperience

        \vspace*{-0.5pt}

        \MakeBackup
      }
    }
  \end{picture}
}

\def\@PageThree{
  \begin{picture}(\@pageWidth,\@pageLength)
    \makebox(\@pageWidth,\@pageLength)[tl]{
      \vbox{
        \MakeTargetList

        \vspace*{-0.5pt}

        \MakeTechnicalDescription

        \vspace*{-0.5pt}

        \MakePreviousObs

        \vspace*{-0.5pt}

        \MakePublicationList
      }
    }
  \end{picture}
}

\def\@PageFour{
  \setcounter{SectionNumber}{1}
  \begin{picture}(\@pageWidth,\@pageLength)
    \makebox(\@pageWidth,\@pageLength)[tl]{
      \vbox{
        \MakeHeaderForLulinOp

        \vspace*{-0.5pt}

        \MakeTitle

        \vspace*{-0.5pt}

        \MakePIInfo

        \vspace*{-0.5pt}

        \MakeCoIInfo

        \vspace*{-0.5pt}

        \MakeObservingRun

        \vspace*{-0.5pt}

        \MakeInstrumentRequirement

        \vspace*{-0.5pt}

      }
    }
  \end{picture}
}

\def\@PageFive{
  \begin{picture}(\@pageWidth,\@pageLength)
    \makebox(\@pageWidth,\@pageLength)[tl]{
      \vbox{
        \MakeHeaderForLulinOp

        \vspace*{-0.5pt}

        \MakeBackup

        \vspace*{-0.5pt}

        \MakeExperience

        \vspace*{-0.5pt}

        \MakeTechnicalDescription
      }
    }
  \end{picture}
}

\def\MakeProposal{
  \@PageOne

  \@PageTwo

  \@PageThree

%  \@PageFour

%  \@PageFive
}
